package v1

import "github.com/gogf/gf/v2/frame/g"

type LoginReq struct {
	g.Meta   `path:"/login" tags:"Login" method:"get" summary:"Demo"`
	Email    string `v:"required" json:"email" dc:"email"`
	Password string `v:"required" json:"password"  dc:"password"`
}

type LoginRes struct {
	Message string      `json:"message" dc:"消息"`
	Data    interface{} `json:"data"    dc:"结果"`
}
